Redland RDF Application Framework API Reference Manual
<<< Previous |  | Next >>>

# librdf_iterator_have_elements

## Name

librdf_iterator_have_elements -- Test if the iterator has finished

## Synopsis

``int `librdf_iterator_have_elements`` (librdf_iterator* `iterator`);`

## Arguments

`iterator`

  the librdf_iterator object

## Description

DEPRECATED - use !librdf_iterator_end(iterator)

## Return value

0 if the iterator has finished

<<< Previous | Home | Next >>>
librdf_free_iterator | Up | librdf_iterator_end